import request from '@/utils/request'

// 查询会员订单信息列表
export function listMemberOrder(query) {
  return request({
    url: '/hezhi/memberOrder/list',
    method: 'get',
    params: query
  })
}

// 查询会员订单信息详细
export function getMemberOrder(orderId) {
  return request({
    url: '/hezhi/memberOrder/' + orderId,
    method: 'get'
  })
}

// 新增会员订单信息
export function addMemberOrder(data) {
  return request({
    url: '/hezhi/memberOrder',
    method: 'post',
    data: data
  })
}

// 修改会员订单信息
export function updateMemberOrder(data) {
  return request({
    url: '/hezhi/memberOrder',
    method: 'put',
    data: data
  })
}

// 删除会员订单信息
export function delMemberOrder(orderId) {
  return request({
    url: '/hezhi/memberOrder/' + orderId,
    method: 'delete'
  })
}
